import { mongoose } from "@typegoose/typegoose";
import { loadGMGroupModel } from "./GMGroup";
import { loadGMRecordModel } from "./GMRecord";
import { loadGMUserModel } from './GMUser'
import { loadRegionModel } from "./Region";
import { loadServerlistModel } from "./Serverlist";
import { loadGMMailModel } from './GMMail';
import { loadCounterModal } from "./CounterAll";
import { loadMarqueeModel } from "./Marquee";
import { loadActivity } from "./Activity";
import { loadActivityGroup } from "./ActivityGroup";
import { loadActivityGroupType } from "./ActivityGroupType";
import { loadActivityTaskPoint } from "./ActivityTaskPoint";
import { loadChannelInfo } from "./ChannelInfo";

export function loadGmDb(connect: mongoose.Connection) {
    // console.log('************')
    loadActivity(connect);
    loadActivityGroup(connect);
    loadActivityGroupType(connect);
    loadGMGroupModel(connect);
    loadGMUserModel(connect);
    loadGMRecordModel(connect);
    loadRegionModel(connect);
    loadServerlistModel(connect);
    loadGMMailModel(connect);
    loadCounterModal(connect);
    loadMarqueeModel(connect);
    loadActivityTaskPoint(connect);
    loadChannelInfo(connect);
}